# ReportContainer

API Documentation: | `ReportContainer`

A container of `Report` objects, that represent potential reports.

Things that produce reports (typically tasks) expose a report container that contains `Report` objects for each possible report that they can produce. Each report object can be configured individually, including whether or not it should be produced by way of its `Report.setEnabled()` property.

`ReportContainer` implementations are immutable in that standard collection methods such as `add()`, `remove()` and `clear()` will throw an `ImmutableViolationException`. However, implementations may provide new methods that allow the addition of new report object and/or the removal of existing report objects.

### Properties

Property | Description
`enabled` | Returns an immutable collection of all the enabled `Report` objects in this container.

### Property details

#### ``NamedDomainObjectSet`<`T`>` `enabled` (read-only)

Returns an immutable collection of all the enabled `Report` objects in this container.

The returned collection is live. That is, as reports are enabled/disabled the returned collection always reflects the current set of enabled reports.

### Script blocks

No script blocks

### Methods

No methods